🔗 REST APIMetadata

List all historical symbols for an exchange.

This endpoint provides access to symbols that are no longer actively traded or listed on a given exchange. The data is provided with pagination support.

GET
/v1/symbols/{exchange_id}/history
Authorization<token>

API Key is required to access the endpoints

In: header

Path Parameters

exchange_id*string

The ID of the exchange.

Query Parameters

page?integer

The page number for pagination (starts from 1).

Formatint32
Default1
limit?integer

Number of records to return per page.

Formatint32
Default100

Response Body

curl -X GET "https://example.com/v1/symbols/string/history"
[  {    "symbol_id": "KRAKENFTS_PERP_BTC_USD",    "exchange_id": "KRAKENFTS",    "symbol_type": "PERPETUAL",    "asset_id_base": "BTC",    "asset_id_quote": "USD",    "asset_id_unit": "USD",    "future_contract_unit": 1,    "future_contract_unit_asset": "USD",    "data_start": "2019-10-30",    "data_end": "2021-03-03",    "data_quote_start": "2019-10-30T16:53:10.3262317Z",    "data_quote_end": "2021-03-03T13:51:45.6970000Z",    "data_orderbook_start": "2019-10-30T16:53:10.3262317Z",    "data_orderbook_end": "2020-08-05T14:37:32.0080000Z",    "data_trade_start": "2019-10-30T16:38:52.1620000Z",    "data_trade_end": "2021-03-03T13:46:25.7810000Z",    "volume_1hrs": 22897091,    "volume_1hrs_usd": 22897091,    "volume_1day": 459390289,    "volume_1day_usd": 459390289,    "volume_1mth": 12875674995,    "volume_1mth_usd": 12875674995,    "price": 51266,    "symbol_id_exchange": "pi_xbtusd",    "asset_id_base_exchange": "XBT",    "asset_id_quote_exchange": "USD",    "price_precision": 0.1,    "size_precision": 1,    "symbol_id_int": 0  },  {    "symbol_id": "POLONIEX_SPOT_LTC_USDC",    "exchange_id": "POLONIEX",    "symbol_type": "SPOT",    "asset_id_base": "LTC",    "asset_id_quote": "USDC",    "data_start": "2018-11-20",    "data_end": "2021-03-01",    "data_quote_start": "2018-11-20T15:24:58.4128803Z",    "data_quote_end": "2021-03-01T16:07:09.3475456Z",    "data_orderbook_start": "2018-11-20T15:24:58.4128803Z",    "data_orderbook_end": "2020-08-05T14:37:20.2695780Z",    "data_trade_start": "2018-11-20T15:25:38.0000000Z",    "data_trade_end": "2021-03-01T16:03:18.0000000Z",    "volume_1hrs": 51.68645899,    "volume_1hrs_usd": 9036.44,    "volume_1day": 465.568863,    "volume_1day_usd": 81396.28,    "volume_1mth": 22528.27638495,    "volume_1mth_usd": 3938661,    "symbol_id_exchange": "USDC_LTC",    "asset_id_base_exchange": "LTC",    "asset_id_quote_exchange": "USDC",    "price_precision": 1e-8,    "size_precision": 1e-8,    "symbol_id_int": 0  }]